%define python_version 2.2.0
%define gnome_python2_version 2.2.0
%define gnome_python2_gconf_version 2.0
%define gnome_python2_gtkhtml2_version 2.0
%define gnome_python2_bonobo_version 2.0
%define gnome_python2_gnomevfs_version 2.0
%define libgnomeui_version 2.0.0
%define libgtop2_version 2.0.0

Summary: gDesklets -- tiny displays sitting on your desktop
Name: gDesklets
Version: @VERSION@
Release: 1
URL: http://gdesklets.gnomedesktop.org/
License: GPL
Group: User Interface/Desktops

Packager: The gDesklets Team

Source: http://www.pycage.de/download/gdesklets/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Provides:  gDesklets

BuildRequires: python-devel >= %{python_version}, libgtop2-devel >= %{libgtop2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}, gnome-python2 >= %{gnome_python_version}
BuildRequires: librsvg2-devel >= %{librsvg2_version}

Requires: python >= %{python_version}
Requires: librsvg2 >= %{librsvg2_version}
Requires: gnome-python2 >= %{gnome_python2_version}
Requires: gnome-python2-gconf >=  %{gnome_python2_gconf_version}
Requires: gnome-python2-gtkhtml2 >= %{gnome_python2_gtkhtml2_version}
Requires: gnome-python2-bonobo >= %{gnome_python2_bonobo_version}
Requires: gnome-python2-gnomevfs >= %{gnome_python2_gnomevfs_version}


%description
gDesklets provides an advanced architecture for desktop applets -- tiny
displays sitting on your desktop in a symbiotic relationship of eye candy
and usefulness.

Populate your desktop with status meters, icon bars, weather sensors,
news tickers... whatever you can imagine! Virtually anything is possible
and maybe even available some day.

%prep
%setup -q

%build
%configure
make

%install
[ -n $RPM_BUILD_ROOT -a $RPM_BUILD_ROOT != / ] && rm -rf $RPM_BUILD_ROOT
env DESTDIR=$RPM_BUILD_ROOT make -e install

%clean
[ -n $RPM_BUILD_ROOT -a $RPM_BUILD_ROOT != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%doc  %{_mandir}/man?/*
%config %{_sysconfdir}/gconf/schemas/gdesklets-display-thumbnail.schemas
%{_bindir}/gdesklets
%{_datadir}/gdesklets/
%{_datadir}/application-registry/gdesklets.applications
%{_datadir}/applications/gdesklets.desktop
%{_datadir}/icons/gnome/48x48/mimetypes/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*

%changelog
* Tue Sep 28 2004 Christian Meyer <chrisime@gnome.org>
- Removed the pkgconfig item. We don't need to install a .pc file.

* Tue Jun 29 2004 Christian Meyer <chrisime@gnome.org>
- Added librsvg to the dependency list.

* Sun Mar 27 2004 Christian Kellner <gicmo@xatom.net>
- Created .spec.in based on a old .spec version of Michiel van Leening <leening@saurus.nl>
